Subject: bug#25768: 25.1; wrong indent in shell-script-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 05 Feb 2021 14:18:37 +0100

Philipp Stephani <[email-masked]> writes:

>  I get the following indentation for my bash script in shell-script mode:
>
>  for i in *; {
>       echo $i
>  }
>            echo done
>
> This is not documented Bash syntax: there is a 'do' required after the ';'. 
> The Bash parser accepts this form, but it remains undocumented, so Emacs
> doesn't need to support it.

So I guess this is something we don't want to fix, and I'm closing this
bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no